Index: c/src/lib/libbsp/mips/genmongoosev/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -1,2 +1,8 @@
+2003-12-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Misc cleanups and fixes.
+	* startup/Makefile.am: Misc cleanups and fixes.
+	* wrapup/Makefile.am: Misc cleanups and fixes.
+
 2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/genmongoosev/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/start/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/genmongoosev/start/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -10,4 +10,5 @@
 include $(top_srcdir)/../../../../automake/compile.am
 include $(top_srcdir)/../../../../automake/lib.am
+include $(top_srcdir)/../../bspstart.am
 
 #
@@ -15,18 +16,13 @@
 #
 
-install-data-local: $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-	@$(mkinstalldirs) $(DESTDIR)$(bsplibdir)
-	$(INSTALL_DATA) $< $(DESTDIR)$(bsplibdir)
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(ARCH)/start.$(OBJEXT)
+all-local: $(TMPINSTALL_FILES)
 
 EXTRA_DIST = start.S
 
+${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/mips/genmongoosev/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/startup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/genmongoosev/startup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -26,17 +26,15 @@
 	$(make-rel)
 
-bsplib_DATA = linkcmds
-
-$(PROJECT_RELEASE)/lib/linkcmds: linkcmds
-	$(INSTALL_DATA) $< $@
+project_lib_DATA = linkcmds
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
 
-all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(PGM)
+all-local: $(PGM) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = bspclean.c bspstart.c exit.c linkcmds setvec.c
 
+${PROJECT_RELEASE}/lib/linkcmds: linkcmds ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/linkcmds
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/linkcmds
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/mips/genmongoosev/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/wrapup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/genmongoosev/wrapup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -9,7 +9,7 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard \
-    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(wildcard \
-    ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) $(wildcard \
+OBJS = $(foreach piece, $(BSP_FILES), ../$(piece)/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard \
     ../../../../libcpu/$(RTEMS_CPU)/mongoosev/*/$(ARCH)/*.$(OBJEXT)) \
     $(wildcard \
Index: c/src/lib/libbsp/mips/jmr3904/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -1,2 +1,8 @@
+2003-12-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Misc cleanups and fixes.
+	* startup/Makefile.am: Misc cleanups and fixes.
+	* wrapup/Makefile.am: Misc cleanups and fixes.
+
 2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/jmr3904/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/start/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/jmr3904/start/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -10,4 +10,5 @@
 include $(top_srcdir)/../../../../automake/compile.am
 include $(top_srcdir)/../../../../automake/lib.am
+include $(top_srcdir)/../../bspstart.am
 
 #
@@ -15,18 +16,13 @@
 #
 
-install-data-local: $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-	@$(mkinstalldirs) $(DESTDIR)$(bsplibdir)
-	$(INSTALL_DATA) $< $(DESTDIR)$(bsplibdir)
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(ARCH)/start.$(OBJEXT)
+all-local: $(TMPINSTALL_FILES)
 
 EXTRA_DIST = start.S
 
+${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/mips/jmr3904/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/startup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/jmr3904/startup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -23,17 +23,15 @@
 	$(make-rel)
 
-bsplib_DATA = linkcmds
-
-$(PROJECT_RELEASE)/lib/linkcmds: linkcmds
-	$(INSTALL_DATA) $< $@
+project_lib_DATA = linkcmds
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
 
-all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(PGM)
+all-local: $(PGM) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = bspclean.c bspstart.c exit.c linkcmds setvec.c
 
+${PROJECT_RELEASE}/lib/linkcmds: linkcmds ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/linkcmds
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/linkcmds
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/mips/jmr3904/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/wrapup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/jmr3904/wrapup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -9,8 +9,8 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard \
-    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(wildcard \
-    ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) $(wildcard \
-    ../../../../libcpu/$(RTEMS_CPU)/tx39/*/$(ARCH)/*.$(OBJEXT)) $(wildcard \
+OBJS = $(foreach piece, $(BSP_FILES), ../$(piece)/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/tx39/*/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard \
     ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT)) \
     $(foreach piece, $(GENERIC_FILES), \
Index: c/src/lib/libbsp/mips/p4000/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/p4000/ChangeLog	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/p4000/ChangeLog	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -1,2 +1,8 @@
+2003-12-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Misc cleanups and fixes.
+	* startup/Makefile.am: Misc cleanups and fixes.
+	* wrapup/Makefile.am: Misc cleanups and fixes.
+
 2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/p4000/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/p4000/start/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/p4000/start/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -10,4 +10,5 @@
 include $(top_srcdir)/../../../../automake/compile.am
 include $(top_srcdir)/../../../../automake/lib.am
+include $(top_srcdir)/../../bspstart.am
 
 #
@@ -15,18 +16,13 @@
 #
 
-install-data-local: $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-	@$(mkinstalldirs) $(DESTDIR)$(bsplibdir)
-	$(INSTALL_DATA) $< $(DESTDIR)$(bsplibdir)
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(ARCH)/start.$(OBJEXT)
+all-local: $(TMPINSTALL_FILES)
 
 EXTRA_DIST = start.S
 
+${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/mips/p4000/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/p4000/startup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/p4000/startup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -26,22 +26,20 @@
 	$(make-rel)
 
-bsplib_DATA = linkcmds ghlinkcmds
-
-$(PROJECT_RELEASE)/lib/ghlinkcmds: ghlinkcmds
-	$(INSTALL_DATA) $< $@
-
-$(PROJECT_RELEASE)/lib/linkcmds: linkcmds
-	$(INSTALL_DATA) $< $@
+project_lib_DATA = linkcmds ghlinkcmds
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/ghlinkcmds \
-    $(PROJECT_RELEASE)/lib/linkcmds
 
-all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(PGM)
+all-local: $(PGM) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = bspclean.c bspstart.c ghlinkcmds idtmem.S idttlb.S inittlb.c \
     linkcmds setvec.c
 
+${PROJECT_RELEASE}/lib/linkcmds: linkcmds ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/linkcmds
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/linkcmds
+
+${PROJECT_RELEASE}/lib/ghlinkcmds: ghlinkcmds ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/ghlinkcmds
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/ghlinkcmds
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/mips/p4000/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/p4000/wrapup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/mips/p4000/wrapup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -10,7 +10,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard \
-    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(foreach piece, $(CPU_FILES), \
-    $(wildcard \
+OBJS = $(foreach piece, $(BSP_FILES), ../$(piece)/$(ARCH)/*.$(OBJEXT)) \
+    $(foreach piece, $(CPU_FILES), $(wildcard \
     ../../../../libcpu/$(RTEMS_CPU)/$(piece)/$(ARCH)/*.$(OBJEXT))) \
     $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) \
Index: c/src/lib/libbsp/or32/orp/ChangeLog
===================================================================
--- c/src/lib/libbsp/or32/orp/ChangeLog	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/or32/orp/ChangeLog	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -1,2 +1,8 @@
+2003-12-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Misc cleanups and fixes.
+	* startup/Makefile.am: Misc cleanups and fixes.
+	* wrapup/Makefile.am: Misc cleanups and fixes.
+
 2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/or32/orp/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/start/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/or32/orp/start/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -10,4 +10,5 @@
 include $(top_srcdir)/../../../../automake/compile.am
 include $(top_srcdir)/../../../../automake/lib.am
+include $(top_srcdir)/../../bspstart.am
 
 #
@@ -15,18 +16,13 @@
 #
 
-install-data-local: $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-	@$(mkinstalldirs) $(DESTDIR)$(bsplibdir)
-	$(INSTALL_DATA) $< $(DESTDIR)$(bsplibdir)
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(ARCH)/start.$(OBJEXT)
+all-local: $(TMPINSTALL_FILES)
 
 EXTRA_DIST = start.S
 
+${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/or32/orp/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/startup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/or32/orp/startup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -23,17 +23,15 @@
 	$(make-rel)
 
-bsplib_DATA = linkcmds
-
-$(PROJECT_RELEASE)/lib/linkcmds: linkcmds
-	$(INSTALL_DATA) $< $@
+project_lib_DATA = linkcmds
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
 
-all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(PGM)
+all-local: $(PGM) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = bspclean.c bspstart.c exit.c linkcmds setvec.c
 
+${PROJECT_RELEASE}/lib/linkcmds: linkcmds ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/linkcmds
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/linkcmds
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/or32/orp/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/or32/orp/wrapup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/or32/orp/wrapup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -9,6 +9,5 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard \
-    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(wildcard \
+OBJS = $(foreach piece, $(BSP_FILES), ../$(piece)/$(ARCH)/*.$(OBJEXT)) $(wildcard \
     ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT)) \
     $(foreach piece, $(GENERIC_FILES), \
Index: c/src/lib/libbsp/sparc/erc32/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -1,2 +1,8 @@
+2003-12-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* start/Makefile.am: Misc cleanups and fixes.
+	* startup/Makefile.am: Misc cleanups and fixes.
+	* wrapup/Makefile.am: Misc cleanups and fixes.
+
 2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sparc/erc32/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/start/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/sparc/erc32/start/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -12,4 +12,5 @@
 include $(top_srcdir)/../../../../automake/compile.am
 include $(top_srcdir)/../../../../automake/lib.am
+include $(top_srcdir)/../../bspstart.am
 
 #
@@ -17,18 +18,13 @@
 #
 
-install-data-local: $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-	@$(mkinstalldirs) $(DESTDIR)$(bsplibdir)
-	$(INSTALL_DATA) $< $(DESTDIR)$(bsplibdir)
+project_lib_DATA = $(ARCH)/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
-
-all-local: $(OBJS) $(ARCH)/start.$(OBJEXT) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(ARCH)/start.$(OBJEXT)
+all-local: $(TMPINSTALL_FILES)
 
 EXTRA_DIST = start.S
 
+${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start$(LIB_VARIANT).$(OBJEXT) ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/start$(LIB_VARIANT).$(OBJEXT)
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/sparc/erc32/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/sparc/erc32/startup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -26,16 +26,13 @@
 	$(make-rel)
 
-bsplib_DATA = linkcmds
+project_lib_DATA = linkcmds
 
-$(PROJECT_RELEASE)/lib/linkcmds: linkcmds
-	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds
-
-all-local: $(OBJS) $(PGM) $(TMPINSTALL_FILES)
-
-.PRECIOUS: $(PGM)
+all-local: $(PGM) $(TMPINSTALL_FILES)
 
 EXTRA_DIST = linkcmds setvec.c spurious.c boardinit.S
 
+${PROJECT_RELEASE}/lib/linkcmds: linkcmds ${PROJECT_RELEASE}/lib/$(dirstamp)
+	$(INSTALL_DATA) $< ${PROJECT_RELEASE}/lib/linkcmds
+TMPINSTALL_FILES += ${PROJECT_RELEASE}/lib/linkcmds
+
 include $(top_srcdir)/../../../../automake/local.am
Index: c/src/lib/libbsp/sparc/erc32/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/sparc/erc32/wrapup/Makefile.am	(revision a5f7ffc73d9269e8c70d0bc4c9d8fe54d3f83418)
+++ c/src/lib/libbsp/sparc/erc32/wrapup/Makefile.am	(revision e725be085804c1c11f7b6bbcc763bc4fe164465e)
@@ -13,6 +13,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard \
-    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(foreach piece, $(CPU_PIECES), \
+OBJS = $(foreach piece, $(BSP_PIECES), ../$(piece)/$(ARCH)/*.$(OBJEXT)) \
+    $(foreach piece, $(CPU_PIECES), \
     ../../../../libcpu/$(RTEMS_CPU)/$(piece)/$(ARCH)/*.$(OBJEXT))
 LIB = $(ARCH)/libbsp.a
